For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update current user detail

Use this endpoint to modify the details of the currently logged in user on the Epsilon Retail Media platform. You can update the first name, last name, and a file ID for the user's logo.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Use this endpoint to modify the details of the currently logged in user on the Epsilon Retail Media platform. You can update the first name, last name, and a file ID for the user's logo."

Update current user detail

Update current user detail

patch

Use this endpoint to modify the details of the currently logged in user on the Epsilon Retail Media platform. You can update the first name, last name, and a file ID for the user's logo.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The details of the user currently logged into the Epsilon Retail Media platform.

application/json
patch/v2/current-user-detail
PATCH /v2/current-user-detail HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "user": {
    "firstName": "Jonny",
    "lastName": "Avalon",
    "logoId": "logo-001"
  }
}
{
  "user": {
    "email": "user@epsilon.com",
    "firstName": "Harry",
    "id": "user-456",
    "lastName": "Paul",
    "logoId": "52g31f9d-7b50-4519-a9b9-e5f8cf4ha321",
    "namespace": "namespace-1",
    "receivedInvitation": {
      "ANY_ADDITIONAL_PROPERTY": {
        "accepted": "false",
        "inviteToken": "29b31f9d-7b50-4519-a9b9-e5f8cf4ha155",
        "inviteeEmail": "example@epsilon.com",
        "inviterEmail": "example@epsilon.com",
        "teamId": "58dd34b1-473e-4090-ac3c-a64f9147c0gt",
        "teamName": "team-01"
      }
    },
    "teamIds": [
      "team_001",
      "team_002"
    ]
  }
}